* {
    padding: 0%;
    margin: 0%;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    color: rgb(200, 184, 233);
}

body{
    /* background: linear-gradient(to right, gray , rgb(146, 94, 178) , gray); */
    /* background-color: rgb(146, 94, 178) ; */
    background-color: var(--background) ;
    overflow-x: hidden !important;
}
h4{
    font-size: calc(14px + 1.5vw);
    white-space: pre;
    font-weight: 700;
    -webkit-text-stroke: 0.5px white;
    /* color: var(--background); */
    color: white;

}
:root{
    /* --tan:rgb(253, 236, 209); */
    --tan:rgb(171, 169, 166);
    --lightPurple:rgb(189, 129, 224);
    --purple: rgb(56, 42, 84);
    /* --background: rgb(52, 21, 69) ; */
    /* --background: rgb(21, 47, 69) ; */
    --background: rgb(16, 32, 65) ;

}


.container-2 {
    width: 100%;
    max-width: 1600px;
    margin: 0 auto;
    padding-left: 1em;
    padding-right: 1em;
    /* border-top: solid rgb(189, 129, 224) 10px; */
    /* background: linear-gradient( rgb(189, 129, 224),rgb(253, 236, 209));  */
    /* background: linear-gradient( var(--purple), var(--tan));  */
    background: linear-gradient( var(--purple), rgb(159, 161, 173)); 

    rgb(159, 161, 173)
    display: flex;
    justify-content: space-evenly;
    align-items: center; 
    height:5em;



    /* @media (max-width: 1024px){
        padding-left: 64px;
        padding-right: 64px;
    }
    
    @media (max-width: 767px){
        padding-left: 32px;
        padding-left: 32px;
    } */
}

.hamburger{
    position: relative;
    display: block;
    width: 35px;
    cursor: pointer;
    appearance: none;
    background: none;
    outline: none;
    border: none;

}

.hamburger .bar, .hamburger:after, .hamburger:before{
    content: "";
    display: block;
    width: 100%;
    height: 5px;
    background-color: #fff;
    margin: 6px -17px;
    transition: 0.4s;

}

.hamburger.is-active:before{
    transform: rotate(-45deg) translate(-8px, 6px);
    position: relative;
    z-index: 100;
}

.hamburger.is-active:after{
    transform: rotate(45deg) translate(-9px, -8px);
    position: relative;
    z-index: 100;

}
.hamburger.is-active .bar {
    opacity: 0;
}

.mobile-nav{
    position: fixed;
    top: 0;
    left: 100%;
    width: 100%;
    min-height: 100vh;
    display: block;
    z-index: 98;
    background-color: var(--purple);
    padding-top: 120px;
    transition: 0.4s
}

.mobile-nav.is-active {
    left: 0;
}

.mobile-nav a {
    display: block;
    width: 100%;
    max-width: 200px;
    margin: 0 auto 16px;
    text-align: center;
    font-size: 2.5vw;
    padding: 12px 16px;
    background-color:#6a358d; 
    color: white;
    /* -webkit-text-stroke: 1px white; */
    text-decoration: none;
    
}



header{
    position: fixed;
    width: 100%;
    z-index: 101; 
}

.navigation-a  {

    text-decoration: none;
    padding-right: 1.2em; 
    /* color: rgb(56, 42, 84); */
    /* color: rgb(200, 184, 233); */
    color: rgb(254, 254, 254);
    /* -webkit-text-stroke: 1px whitesmoke; */
    font-family: Verdana, Geneva, Tahoma, sans-serif; 
    font-weight: 600; 
    font-size: 1.1em;
}

.navigation-a a{
    white-space: pre;
}

.mobile-nav a:hover{
    background-color: #24104f;
}

@media (min-width: 832px){
    .mobile-nav {
        display: none;
    }
    .hamburger {
        display: none;
    }
}

@media (max-width: 832px){
    .navigation-a {
        display: none;
    }
}







/* START OF CSS for alexis content */

h1{
    display: flex;
    justify-content: center;
    align-items: center;
    /* font-size: 3em; */
    /* if I increase the font, it messes uo  */
}

.string {
    display: flex;
    flex-direction: column;
    text-align: center;
    animation: move 5.5s infinite;
    white-space: nowrap;
}

.greeting {
    position: relative;
    top: 10.5vmin;

    /* animation: 6.5s infinite; */
    /* had white-out */
}

.closure::after {
    content: '';
    position: absolute;
    height:43vmin;
    width: 91vmin;
    /* background:  rgb(146, 94, 178); */
    background: var(--background);
    /* background: #fff; */
    /* transform: translate(-24vmin, 10.5vmin); */
    transform: translate(-45vmin, -24.5vmin);
}

.closure::before {
    content: '';
    position: absolute;
    height: 22vmin;
    width: 94vmin;
    background:  var(--background);
    transform: translate(-26vmin, 15vmin);
    /* transform: translate(-40vmin, 5vmin); */
}

.en {
    color: #fa8231;
}

.es {
    color: white;
}

.de {
    color: #c678dd;
}

.it {
    color: #a9b0bd;
}

@keyframes move {
    25% {
        transform: translatey(-7vmin);
        opacity: 1;
    }
    50% {
        transform: translatey(-14vmin);
    }
    75% {
        transform: translatey(-20.5vmin);
    }
}


#alexis-content{
    text-align: center;
    padding-top: 200px;
    /* padding: 200px 100px 0px 100px; */
    padding: 12.5rem 4.25rem 0rem 4.25rem;


}

.title{
    padding-bottom: 8rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

@media (max-width:596px){
    .title h1{
        font-size: 1.65em;
    }
}

.picture{
    border: solid white 2px;
    border-radius: 20px;
    border-color: var(--purple) ;
    text-align: center;
    /* height: 525px; */
    /* height: 33rem; */
    /* width: 450px; */
    width: 28.5rem;
    min-width: 20rem;
    /* margin: 0px 50px 0px 0px; */
    /* margin: 0rem 3.15rem 0rem 0rem; */
    /* box-shadow: rgba(0, 0, 0, 0.2) 0px 50px 30px -7px; */
    /* box-shadow: rgba(131, 129, 129, 0.2) 0px 50px 30px -7px; */
    /* box-shadow: rgba(246, 243, 243, 0.2) 0px 50px 30px -7px; */
    box-shadow: rgba(197, 194, 194, 0.2) 0px 50px 30px -7px;
    /* background-color:var(--tan); */
    background-color: rgb(159, 161, 173);
    line-height: normal;
}

.picture img{
    cursor: pointer;
    min-height:22em;
    margin-top: 0.5em;
    margin-bottom: 1.5em;
    border-radius: 20px;
    /* box-shadow: 2px 2px 5px 5px gray; */
    box-shadow: 2px 2px 5px 5px rgb(144, 141, 141);

    width:100%;
    max-height:  22em;
    max-width: 21em;
    height: auto;
    
}

@media (min-width:1103px) {
    .picture-1{
        margin-right: 1.2rem;
    }
}



.picture p{
    /* margin: 0px 10px 25px 10px; */
    /* margin: 0em .6em 1.5em .6em; 
    padding: 0em 1em 0em 1em; */
    color: #000;
    text-shadow: 2px 2px 5px #f0eff3 ;
    font-size: 1.05em;
}

.description{
    margin-top: 10rem;
    text-align: center;
    /* padding: .6rem 9.4rem .6rem 9.4rem; */
}

.description h2{
    padding-bottom: 2rem;
    font-size: 2.75rem;
    font-weight: 550;
}

.description p{
    padding-top: 5rem;
    font-size: 1.6rem;
}



/* start of css for Word Cloud */

#word-cloud-section{
    text-align: center;
}

#cloud-title h2 {
    font-size: 2.75rem;
    font-weight: 550;
    margin-top: 8rem;
    margin-bottom: 3.5rem;
}

#cloud-title p {
    font-size: 1.6rem;
}


/* START OF WORD CLOUD */
#cloud-title button{
    margin-top: 4.2em;
    left: calc(50% - 3em);
    top: calc(50% - 2em);
    animation: wiggle 2s linear infinite;
    height: 3em;
    width: 7.5em;
    background: linear-gradient( rgb(189, 129, 224),rgb(253, 236, 209));
    border: none;
    border-top: 2px solid var(--tan);
    border-radius: 0 0 0.2em 0.2em;
    color: rgb(56, 42, 84);
    font-family: Helvetica, Arial, Sans-serif;
    font-size: 1.2em;
    transform-origin: 50% 5em;
    cursor: pointer;
}

@keyframes wiggle{
    0%, 7% {
        transform: rotateZ(0deg);
    }
    15% {
        transform: rotateZ(-15deg);
    }
    20% {
        transform: rotateZ(10deg);
    }
    25% {
        transform: rotateZ(-10deg);
    }
    30% {
        transform: rotateZ(6deg);
    }
    35% {
        transform: rotateZ(-4deg);
    }
    40%, 100% {
        transform: rotateZ(0deg);
    }
}

#word-cloud{
    /* padding: 6.4rem 15.6em 0em 15.6em; */
    padding-top: 5rem;
    height: 36rem;
    width: 95%;
    margin: auto;
    margin-bottom: 6.25em;
}

@media (min-width:991px) {
    #word-cloud{
        margin-bottom:10px;
    }
    
}


ul.cloud{
    list-style: none;
    padding-left: 0;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    line-height: 2.5rem;
    opacity: 0;
    transition: opacity 8s;

}

.transition-active{
    opacity: 1 !important;
}

ul.cloud a {
    color: rgb(253, 236, 209); 
    /* color: rgb(171, 169, 166); */
    text-shadow: -1px 1px 2px #000,
    1px 1px 2px #000,
    1px -1px 0 #000,
    -1px -1px 0 #000;
    display: block;
    padding: 1rem 0.35rem;
    text-decoration: none;
    position: relative;
    /* font-size: calc(var(--size) * 0.8vw + 0.5em) !important; */
    font-size: clamp(1rem, calc(var(--size)*0.7vw*0.7 + 0.8rem), 3.8rem);
}

ul.cloud a[data-weight="1"] { --size: 1; }
ul.cloud a[data-weight="2"] { --size: 2; }
ul.cloud a[data-weight="3"] { --size: 3; }
ul.cloud a[data-weight="4"] { --size: 4; }
ul.cloud a[data-weight="5"] { --size: 5; }
ul.cloud a[data-weight="6"] { --size: 6; }
ul.cloud a[data-weight="7"] { --size: 7; }
ul.cloud a[data-weight="8"] { --size: 8; }
ul.cloud a[data-weight="9"] { --size: 9; }
ul.cloud a[data-weight="10"] { --size: 10; }
ul.cloud a[data-weight="11"] { --size: 11; }

.fadeIn{    
    opacity: 1;
    animation: fadeIn 8s;
    /* transition: fadeIn 8s; */
    -webkit-animation: fadeIn 8s;
    -moz-animation: fadeIn 8s;
    -o-animation: fadeIn 8s;
    -ms-animation: fadeIn 8s;
}



@keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
}

@-moz-keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
}

@-webkit-keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
}

@-o-keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
}

@-ms-keyframes fadeIn {
    0% { opacity: 0; }
    100% { opacity: 1; }
}

/* start of css for projects */

h2{
    text-align: center;
    font-size: 2.75rem;
    font-weight: 550;
}

#project-section{
    margin-top: 25px;
    margin-bottom: 13rem;
    text-align: center;
}

.card{
    max-width: 900px;
    min-width: 426px;
}

.projects{
    border: 2px solid black;
    background-color: rgb(72, 45, 98);
    /* max-width: 43.75rem;
    max-height: 21.875rem; */
    margin: auto;
    margin-bottom: 50px;
    justify-content: center;
}



.project-picture img{
    width: 21.68em;
    height: 21.68em;
    /* it should be em right */
    margin: 0rem 3.125rem 0rem 3.125rem;
    display:block;
    border: 2px solid black;
}

.overlay{
    margin-left: 4.125em;
    position: absolute;
    top: 1.02em;
    /* right:3.125em; */
    height: 21.675em;
    width: 21.875em;
    opacity: 0;
    transition: .5 ease;
    background-color:var(--lightPurple);
    border: 2px solid black;
}

.project-picture:hover .overlay{
    opacity: 1;
}

.text {
    color: var(--purple);
    font-size: 1.2em;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
}

.project-picture{
    display: flex;
    
}

@media (max-width: 768px){
    .project-picture{
        display: block;
    }
    .project-picture img{
        margin: auto;
    }
    .overlay{
        margin: auto;
        bottom:17.5em;
    }
    .project-description{
        margin-top: 1.5em;
    }
}
.project-description{
    border: 2px solid black;
    background-color: var(--lightPurple);
    color: #24104f;
}

.project-description p{
    color: #24104f;
    margin-top: 2em;
    margin-bottom: 2em;
}
.project-description img{
    height:80px;
    width: 80px;
    margin: auto;

}



/* @media (max-width:790px){
    .project-picture{
        display: block;
    }
} */


.project-picture  .borderless{
    border: none;
}



/* start of css for technical skills */

#skill-section{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 10rem;
    margin-bottom: 10rem;
}

.skill-box{
    width: 25rem; 

}

.skill-box h3{
    height:10vh;
    /* font-size: 1.56rem; */
    font-size: calc(14px + 1.5vw);
    margin-right: 1.87rem;
}

.skill-box img{
    max-height: 6.25em;
    max-width: 6.25em;
    margin-top: 0.625rem;

}

.lang{
    display: flex;
    justify-content: space-evenly;

}

.lang img{
    margin: -1.94rem 0rem 3.625rem 0rem;
    padding: 0;
}

@media (max-width: 990px){
    #skill-section{
        display:flexbox;
        flex-direction: column;
    }
}



.tag{
    opacity: 0;
    transform: translate(0, 10vh);
    transition: all 1s;
}

.tag.visible{
    opacity: 1;
    transform: translate(0,0);
}


/* resume portion */


.pdf {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    height: 22rem;
}

#resume img{
    border-radius: 100%;
    height: 15em;
    width: 15em;
}
@media (max-width: 532px){
    #resume img{
        height: 12em;
        width: 12em;
    }
}
#footer{
    /* margin-left: auto; */
    /* margin-right: auto; */
    width: 100%;
    /* height: 5em; */

    /* background: linear-gradient( rgb(253, 236, 209),rgb(189, 129, 224)); */
    background: linear-gradient(  rgb(159, 161, 173), var(--purple));
    /* border-top: solid var(--tan) 1px;  */
}

#footer .h3{
    margin-top: 0;
    margin-bottom: 0;
    font-weight: 500;
    line-height: 1.2;
    color: white;

}

h3, h4 {
    margin-bottom: 0 !important;
}